## byacc-j 1.15

=== src/Makefile ===
#################################################
## Makefile for Byacc/Java
## Date: 06 Aug 00
## Author: Bob Jamison
#################################################

CC      = gcc
CFLAGS  = -O -arch i386 -isysroot /Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4
LDFLAGS = -static -arch ppc -isysroot /Developer/SDKs/MacOSX10.4u.sdk
TAR     = tar
GZIP    = gzip
VERS    = byaccj1.15
JAVA    = /usr/java
ZIP     = zip

INC     = -I.

OBJ 	= closure.o \
	error.o \
	lalr.o \
	lr0.o \
	main.o \
	mkpar.o \
	output.o \
	reader.o \
	skeleton.o \
	symtab.o \
	verbose.o \
	warshall.o

irix: yacc
	mv yacc yacc.irix
linux: yacc
	mv yacc yacc.linux
solaris: yacc
	mv yacc yacc.solaris

all: yacc

dist:
	( \
	cd .. ; \
	/bin/rm -rf $(VERS) ; \
	/bin/mkdir -p $(VERS) ; \
	/bin/mkdir -p dist ; \
        /bin/cp -r docs $(VERS) ; \
	/bin/mkdir -p $(VERS)/src ; \
        /bin/cp src/*.c $(VERS)/src ; \
        /bin/cp src/*.h $(VERS)/src ; \
        /bin/cp src/Makefile $(VERS)/src ; \
        /bin/cp src/Makefile.bcc $(VERS)/src ; \
        /bin/cp -f src/yacc.irix $(VERS) ; \
        /bin/cp -f src/yacc.solaris $(VERS) ; \
        /bin/cp -f src/yacc.linux $(VERS) ; \
        /bin/cp -f src/yacc.exe $(VERS) ; \
        /bin/cp src/README $(VERS) ; \
	$(TAR) -cvf - $(VERS) | $(GZIP) > dist/$(VERS).tar.gz ;\
	$(ZIP) dist/$(VERS).zip $(VERS) \
	)

SRCS   = closure.c \
	error.c \
	lalr.c \
	lr0.c \
	main.c \
	mkpar.c \
	output.c \
	reader.c \
	skeleton.c \
	symtab.c \
	verbose.c \
	warshall.c

%.o : %.c
	$(CC) -c $(CFLAGS) $(INC) $< -o $@

yacc: $(OBJ)
	$(CC) -o yacc -arch i386 -isysroot /Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4 $(OBJ)
	@echo "done"

clean:
	/bin/rm -rf *.o  *.obj yacc y.tab.c *.java *.class
	/bin/rm -rf yacc.linux yacc.irix yacc.solaris yacc.exe
	(cd .. ; /bin/rm -rf $(VERS) ; /bin/rm -rf dist )

### Dependencies
closure.o:  closure.c defs.h
error.o:    error.c defs.h
lalr.o:     lalr.c defs.h
lr0.o:      lr0.c defs.h
main.o:     main.c defs.h
mkpar.o:    mkpar.c defs.h
output.o:   output.c defs.h
reader.o:   reader.c defs.h
skeleton.o: skeleton.c defs.h
symtab.o:   symtab.c defs.h
verbose.o:  verbose.c defs.h
warshall.o: warshall.c defs.h

=== debian/changelog ===
byacc-j (1.15-2) unstable; urgency=medium

  * Team upload.
  * Maintain package in Java team
    Closes: #1117116
  * Secure URI in Homepage
  * d/watch
     - Fix
     - Version: 5
  * Enable building with CMake 4
    Closes: #1112741
  * Fix build with gcc-15
    Closes: #1096403
  * d/copyright: DEP5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * d/rules: hardening
  * d/dirs: remove

 -- Andreas Tille <tille@debian.org>  Fri, 24 Oct 2025 06:44:49 +0200

byacc-j (1.15-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace deprecated CDBS build with DebHelper

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Mar 2025 18:17:00 +0100

byacc-j (1.15-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix missing import. (Closes: #1066201)

 -- Bastian Germann <bage@debian.org>  Fri, 04 Oct 2024 12:40:14 +0200

byacc-j (1.15-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unmaintained Vcs fields.
  * Convert to source format 3.0. (Closes: #1007042)

 -- Bastian Germann <bage@debian.org>  Mon, 21 Aug 2023 22:02:35 +0000

byacc-j (1.15-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update debhelper version from 6 to 7 (Closes: #965444). Consequently:
    - debian/compat: Bump debhelper compat level from 6 to 7.
    - debian/control: Change debhelper version from 6 to 7 in Build-Depends.

 -- Marcos Talau <marcos@talau.info>  Fri, 08 Apr 2022 13:55:53 -0300

byacc-j (1.15-1) unstable; urgency=low

  * Initial release (closes: 532933)

 -- Ludovic Claude <ludovic.claude@laposte.net>  Wed, 13 May 2009 20:59:05 +0100

=== debian/control ===
Source: byacc-j
Standards-Version: 4.7.2
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Ludovic Claude <ludovic.claude@laposte.net>,
Section: devel
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cmake,
Vcs-Browser: https://salsa.debian.org/java-team/byacc-j
Vcs-Git: https://salsa.debian.org/java-team/byacc-j.git
Homepage: https://byaccj.sourceforge.net/

Package: byacc-j
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Berkeley YACC parser generator extended to generate Java code
 BYACC/J is an extension of the Berkeley v 1.8 YACC-compatible parser
 generator.
 .
 Standard YACC takes a YACC source file, and generates one or more C files from
 it, which if compiled properly, will produce a LALR-grammar parser. This is
 useful for expression parsing, interactive command parsing, and file reading.
 Many megabytes of YACC code have been written over the years.
 .
 This is the standard YACC tool that is in use every day to produce C/C++
 parsers.
 .
 A "-J" flag was added which will cause BYACC to generate Java source code,
 instead. So there finally is a YACC for Java now!

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

=== debian/watch ===
Version: 5

Source: https://sf.net/byaccj/
Matching-Pattern: byaccj@ANY_VERSION@_src@ARCHIVE_EXT@
